package com.qianhe.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.qianhe.common.annotation.Excel;
import com.qianhe.common.core.domain.BaseEntity;

/**
 * 标准手册-油水井管理岗工作手册-从对象 bzsc_ysjglggzsc_cb
 *
 * @author qianhe
 * @date 2024-10-09
 */
public class BzscYsjglggzscCb extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long ID;

    /** 主表id */
    @Excel(name = "主表id")
    private Long zbId;

    /** 单位id */
    @Excel(name = "单位id")
    private Long deptId;

    /** 年度 */
    @Excel(name = "年度")
    private String nd;

    /** 上级id */
    @Excel(name = "上级id")
    private Long parentId;

    /** 名称 */
    @Excel(name = "名称")
    private String mc;

    /** 描述 */
    @Excel(name = "描述")
    private String ms;

    /** 内容 */
    @Excel(name = "内容")
    private String nr;

    /** 排序 */
    @Excel(name = "排序")
    private Long px;

    /** 预留1 */
    @Excel(name = "预留1")
    private String yl1;

    /** 预留2 */
    @Excel(name = "预留2")
    private String yl2;

    /** 预留3 */
    @Excel(name = "预留3")
    private String yl3;

    /** 预留4 */
    @Excel(name = "预留4")
    private String yl4;

    /** 预留5 */
    @Excel(name = "预留5")
    private String yl5;

    public void setID(Long ID)
    {
        this.ID = ID;
    }

    public Long getID()
    {
        return ID;
    }
    public void setZbId(Long zbId)
    {
        this.zbId = zbId;
    }

    public Long getZbId()
    {
        return zbId;
    }
    public void setDeptId(Long deptId)
    {
        this.deptId = deptId;
    }

    public Long getDeptId()
    {
        return deptId;
    }
    public void setNd(String nd)
    {
        this.nd = nd;
    }

    public String getNd()
    {
        return nd;
    }
    public void setParentId(Long parentId)
    {
        this.parentId = parentId;
    }

    public Long getParentId()
    {
        return parentId;
    }
    public void setMc(String mc)
    {
        this.mc = mc;
    }

    public String getMc()
    {
        return mc;
    }
    public void setMs(String ms)
    {
        this.ms = ms;
    }

    public String getMs()
    {
        return ms;
    }
    public void setNr(String nr)
    {
        this.nr = nr;
    }

    public String getNr()
    {
        return nr;
    }
    public void setPx(Long px)
    {
        this.px = px;
    }

    public Long getPx()
    {
        return px;
    }
    public void setYl1(String yl1)
    {
        this.yl1 = yl1;
    }

    public String getYl1()
    {
        return yl1;
    }
    public void setYl2(String yl2)
    {
        this.yl2 = yl2;
    }

    public String getYl2()
    {
        return yl2;
    }
    public void setYl3(String yl3)
    {
        this.yl3 = yl3;
    }

    public String getYl3()
    {
        return yl3;
    }
    public void setYl4(String yl4)
    {
        this.yl4 = yl4;
    }

    public String getYl4()
    {
        return yl4;
    }
    public void setYl5(String yl5)
    {
        this.yl5 = yl5;
    }

    public String getYl5()
    {
        return yl5;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("ID", getID())
            .append("zbId", getZbId())
            .append("deptId", getDeptId())
            .append("nd", getNd())
            .append("parentId", getParentId())
            .append("mc", getMc())
            .append("ms", getMs())
            .append("nr", getNr())
            .append("px", getPx())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .append("yl1", getYl1())
            .append("yl2", getYl2())
            .append("yl3", getYl3())
            .append("yl4", getYl4())
            .append("yl5", getYl5())
            .toString();
    }
}
